net.sf.jasperreports.export

## Interface CsvMetadataReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, CsvReportConfiguration, ReportExportConfiguration
  All Known Implementing Classes:
    SimpleCsvMetadataReportConfiguration

      public interface CsvMetadataReportConfiguration
      extends CsvReportConfiguration

  Interface containing settings used by the metadata based CSV exporter.
  Version:
    $Id: CsvMetadataExporterConfiguration.java 6768 2013-11-22 08:48:44Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRCsvMetadataExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLUMN_NAMES_PREFIX` Properties having this prefix contain comma-separated column names and are used as default for the `getColumnNames()` export configuration setting.
    `static java.lang.String` | `PROPERTY_WRITE_HEADER` Property whose value is used as default for the `isWriteHeader()` export configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getColumnNames()` Returns an array of strings representing the comma-separated names of the columns that should be exported.
    `java.lang.Boolean` | `isWriteHeader()` Returns a boolean that specifies whether the export header (the column names) should be written or not.

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_WRITE_HEADER

          static final java.lang.String PROPERTY_WRITE_HEADER

      Property whose value is used as default for the `isWriteHeader()` export configuration setting.

      The property itself defaults to `false`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_COLUMN_NAMES_PREFIX

          static final java.lang.String PROPERTY_COLUMN_NAMES_PREFIX

      Properties having this prefix contain comma-separated column names and are used as default for the `getColumnNames()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isWriteHeader

          java.lang.Boolean isWriteHeader()

      Returns a boolean that specifies whether the export header (the column names) should be written or not.
      See Also:
        `PROPERTY_WRITE_HEADER`

    - #### getColumnNames

          java.lang.String[] getColumnNames()

      Returns an array of strings representing the comma-separated names of the columns that should be exported.

      NOTE: The order of the columns is important and, for accurate results, they should be in the same order as the original columns.

      See Also:
        `PROPERTY_COLUMN_NAMES_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com